
	SUBTITL   "PROJECT ASSEMBLY FILE RedsDemo.ASM"

;########################################################################
;#									#
;# PROJECT Demo for VB GUI.						#
;# PROJECT FILE NAME: RedsDemo.ASM	Ver1.0	10 OCT 2011		#
;#									#
;# This source file must be assembled. It will include all the 		#
;# necessary files for the project.					#
;#									#
;# Description of project						#
;# The main routine in this software is an endless loop with a 20mSec	#
;# delay. Every execution of the loop will increment a register (TEMPB1)#
;# In addition the code contains a interrupt service routine for the	#
;# serial port. This ISR will wait for commands. The commands are trans-#
;# mitted from a pc running a VB6 GUI (PicWin16.exe) that will allow	#
;# you to read and write to the PIC's General Purpose and Special	#
;# Function Registers, and a few more interesting things.		#
;#									#
;# The serial port is using interrupts. For this ISR see file		#
;# PICASYN4.DRV. NOTE THE UART IS INITIALIZED FOR 9600Bd USING A 8MHz	#
;# CLOCK FOR THE PIC.							#
;#									#
;# The user software is in file RedsDemo.tsk				#
;#                                                                      #
;########################################################################

TRUE    SET     1
FALSE   SET     0
	RADIX	dec			; set radix to Decimal
	ERRORLEVEL	-302, -306	; suppress bank selection warning message

	list      p=16F876A		; define processor
	include "p16F876A.inc"		; processor specific definitions
	
 __CONFIG _CP_OFF & _WDT_OFF & _BODEN_ON & _PWRTE_ON & _HS_OSC & _WRT_OFF & _LVP_OFF & _DEBUG_OFF & _CPD_OFF 

;________________________________________________________________________

	LIST				; Turn on listing
	INCLUDE "PICMAC02.MAC"		; Macro code
	INCLUDE "NewShake.mac"		; Macro code

;________________________________________________________________________


	INCLUDE "RedsDemo.RAM"		; Register/Ram assignment

;________________________________________________________________________


	LIST				; Turn on listing
	ORG	0x00			; Start of 1st Code bank (0x0000 - 0x07FF)
	INCLUDE	"RedsDemo.ini"		; Init & interrupts
	INCLUDE	"PICASYN4.DRV"		; Serial Port Driver & Command Interpreter
	INCLUDE	"RedsDemo.tsk"		; Main user software task

;________________________________________________________________________
					

	end




